Bug 462722 - kernel BUG at arch/x86/xen/multicalls.c during F9 PV install on Solaris
kernel BUG at arch/x86/xen/multicalls.c during F9 PV install on Solaris
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
9
x86_64 Other
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 11:04 EDT by John Levon
Modified: 2009-07-14 10:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Levon 2008-09-18 11:04:39 EDT
Description of problem:

Attempting to install Fedora 9 x86-64 PV on Solaris Xen (3.1.4 based) as follows:

virt-install -m `~johnlev/bin/maca domu-223` -n domu-223 -x 'console=hvc0' --paravirt -l /net/heaped/export/netimage/linux/fc9/Fedora-9-x86_64-DVD.iso -r 512 --nographics -f  /dev/dsk/c4t010000144F21083C00002A0048D1B29Ed0p0

gives the output below during installation. Fedora 8 has previously worked
fine.

Version-Release number of selected component (if applicable):

Linux version 2.6.25-2.fc9.x86_64.xen (mockbuild@) (gcc version 4.3.0 20080416 (Red Hat 4.3.0-7) (GCC) ) #1 Fri Apr 25 13:13:13 EDT 2008

How reproducible:

Only tried once so far.

Output:

Welcome to Fedora for x86_64
                                                                                
                                                                                
                                                                                
                                                                                
     ┌─────────────────────┤ Package Installation ├──────────────────────┐      
     │                                                                   │      
     │                                                                   │      
     │                                76%                                │      
     │                                                                   │      
     │                  1026 of 1169 packages completed                  │      
     │                                                                   │      
     │ ------------[ cut here ]------------4 (98 KB)                     │      
Kernel BUG at ffffffff80465fc0 [verbose debug info unavailable]s         │      
invalid opcode: 0000 [1]                                                 │      
CPU 0                                                                    │      
Modules linked in: sha256_generic aes_generic cbc dm_crypt crypto_blkcipher dm_emc dm_round_robin dm_multipath dm_snapshot dm_mirror dm_zero dm_mod xfs jfs reiserfs lock_nolock gfs2 msdos linear raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 xen_netfront xen_blkfront ipv6 iscsi_tcp libiscsi scsi_transport_iscsi scsi_mod ext2 ext3 jbd ext4dev jbd2 mbcache crc16 squashfs pcspkr edd loop nfs lockd nfs_acl sunrpc vfat fat cramfs
Pid: 7012, comm: ldconfig Not tainted 2.6.25-2.fc9.x86_64.xen #1                
RIP: e030:[<ffffffff80465fc0>]  [<ffffffff80465fc0>] xen_failsafe_callback+0x0/0x10
RSP: e02b:ffffffff805c9df8  EFLAGS: 00010016                                    
RAX: 000000000000000d RBX: ffffffff80582310 RCX: ffffffff80465fc0
RDX: ffffffff80627210 RSI: 0000000000000002 RDI: ffffffff80627290> next screen 
RBP: ffffffff805c9e98 R08: ffff8800121f99d8 R09: ffffffff8062a140
R10: 000000000000000c R11: 0000000000000216 R12: ffff880002aec000
R13: ffffffff80582780 R14: 0000000000000000 R15: 0000000000000002
FS:  0000000000000000(0000) GS:ffffffff805bf000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000001827008 CR3: 000000001bc66000 CR4: 0000000000000660
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000
Process ldconfig (pid: 7012, threadinfo ffff8800121f8000, task ffff880002aec000)
Stack:  ffffffff806171aa 0000000000000216 0000000000000000 0000000000000000
 0000000000000063 0000000000000000 ffffffff806171a8 000000010000e030
 0000000000000016 ffffffff805c9e50 000000000000e02b ffff8800121f9888
Call Trace:


Code: 0f 07 66 0f 1f 84 00 00 00 00 00 48 8b 0c 24 4c 8b 5c 24 08 48 83 c4 10 6a 00 50 48 8d 05 19 00 00 00 e9 54 fb ff ff 0f 1f 40 00 <0f> 0b 66 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 48 89 fc 65 ff 
RIP  [<ffffffff80465fc0>] xen_failsafe_callback+0x0/0x10
 RSP <ffffffff805c9df8>
---[ end trace d1de93ff7c475362 ]---
BUG: sleeping function called from invalid context at kernel/rwsem.c:21
in_atomic():0, irqs_disabled():1
Pid: 7012, comm: ldconfig Tainted: G      D  2.6.25-2.fc9.x86_64.xen #1

Call Trace:

------------[ cut here ]------------
kernel BUG at arch/x86/xen/multicalls.c:108!
invalid opcode: 0000 [2] 
CPU 0 
Modules linked in: sha256_generic aes_generic cbc dm_crypt crypto_blkcipher dm_emc dm_round_robin dm_multipath dm_snapshot dm_mirror dm_zero dm_mod xfs jfs reiserfs lock_nolock gfs2 msdos linear raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 xen_netfront xen_blkfront ipv6 iscsi_tcp libiscsi scsi_transport_iscsi scsi_mod ext2 ext3 jbd ext4dev jbd2 mbcache crc16 squashfs pcspkr edd loop nfs lockd nfs_acl sunrpc vfat fat cramfs
Pid: 7012, comm: ldconfig Tainted: G      D  2.6.25-2.fc9.x86_64.xen #1
RIP: e030:[<ffffffff8020c495>]  [<ffffffff8020c495>] xen_mc_flush+0x14d/0x15c
RSP: e02b:ffffffff805c9a68  EFLAGS: 00010002
RAX: 0000000000000001 RBX: ffffffff80628420 RCX: 0000000000000000
RDX: ffffffffff516000 RSI: 00000000deadbeef RDI: 0000000000201000
RBP: ffffffff805c9a98 R08: 00000000ffffffff R09: 0000000000000000
R10: ffffffff80524cee R11: ffffffff806265a0 R12: 0000000000000001
R13: 0000000000000002 R14: 0000000000000000 R15: 0000000000000001
FS:  0000000000000000(0000) GS:ffffffff805bf000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000001827008 CR3: 0000000000201000 CR4: 0000000000000660
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000
Process ldconfig (pid: 7012, threadinfo ffff8800121f8000, task ffff880002aec000)
Stack:  ffff8800024cc300 ffffffff8058db58 0000000000056bc1 0000000000056bc2
 0000000000201000 0000000000000000 ffffffff805c9ae8 ffffffff8020c059
 ffffffff80627350 ffffffff80628228 ffffffff80627350 ffffffff80628228
Call Trace:


Code: 80 45 31 e4 eb 0d 48 8b 7b 08 41 ff c4 ff 13 48 83 c3 10 44 3b 25 94 c1 41 00 72 ea 45 85 ed c7 05 85 c1 41 00 00 00 00 00 74 04 <0f> 0b eb fe 58 5a 5b 41 5c 41 5d 41 5e c9 c3 55 83 3d 6c c1 41 
RIP  [<ffffffff8020c495>] xen_mc_flush+0x14d/0x15c
 RSP <ffffffff805c9a68>
---[ end trace d1de93ff7c475362 ]---
Fixing recursive fault but reboot is needed!
ldconfig[7012]: segfault at 428035 ip 428035 sp 7fffc020fb18 error 14<1>BUG: unable to handle kernel NULL pointer dereference at 0000000000000068
IP: [<ffffffff804656fe>] __down_read+0x11/0x8a
PGD 1e18f067 PUD 1e1d2067 PMD 1e18b067 PTE 0
Oops: 0000 [3] 
CPU 0 
Modules linked in: sha256_generic aes_generic cbc dm_crypt crypto_blkcipher dm_emc dm_round_robin dm_multipath dm_snapshot dm_mirror dm_zero dm_mod xfs jfs reiserfs lock_nolock gfs2 msdos linear raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 xen_netfront xen_blkfront ipv6 iscsi_tcp libiscsi scsi_transport_iscsi scsi_mod ext2 ext3 jbd ext4dev jbd2 mbcache crc16 squashfs pcspkr edd loop nfs lockd nfs_acl sunrpc vfat fat cramfs
Pid: 7012, comm: ldconfig Tainted: G      D  2.6.25-2.fc9.x86_64.xen #1
RIP: e030:[<ffffffff804656fe>]  [<ffffffff804656fe>] __down_read+0x11/0x8a
RSP: e02b:ffff8800121f9b58  EFLAGS: 00010092
RAX: ffffffffff516000 RBX: 0000000000000068 RCX: ffffffff80627318
RDX: ffffffffff516000 RSI: ffff88001fd20000 RDI: 0000000000000068
RBP: ffff8800121f9b88 R08: ffff8800121f8000 R09: ffffffff8022b3d1
R10: 00000079396fa34d R11: 0000000000000000 R12: 0000000000428035
R13: 0000000000428035 R14: ffffffff80533055 R15: ffff8800121f9f58
FS:  00007fbd8391e6f0(0063) GS:ffffffff805bf000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000068 CR3: 000000001e1e4000 CR4: 0000000000000660
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000
Process ldconfig (pid: 7012, threadinfo ffff8800121f8000, task ffff880002aec000)
Stack:  ffffffff80533055 ffff8800121f9f58 ffff8800121f9b78 ffffffff8022b556
 ffff8800121f9b88 0000000000000068 ffff8800121f9ba8 ffffffff80464c39
 ffffffff8022eb01 0000000000000000 ffff8800121f9bd8 ffffffff80276007
Call Trace:
 [<ffffffff8022b556>] ? __cond_resched+0x2d/0x54
 [<ffffffff80464c39>] down_read+0x2a/0x2e
 [<ffffffff8022eb01>] ? __printk_ratelimit+0x84/0xc1
 [<ffffffff80276007>] print_vma_addr+0x40/0x101
 [<ffffffff80467eed>] do_page_fault+0x826/0xb33
 [<ffffffff802a11f3>] ? dput+0x3f/0x100
 [<ffffffff802e462a>] ? avc_has_perm+0x4e/0x60
 [<ffffffff8031264d>] ? list_add+0xc/0xf
 [<ffffffff80296f56>] ? path_put+0x2c/0x30
 [<ffffffff802e621b>] ? inode_has_perm+0x5b/0x61
 [<ffffffff802a4ea6>] ? mntput_no_expire+0x20/0x78
 [<ffffffff80465b9b>] ? error_exit+0x0/0x61
 [<ffffffff80465bc8>] ? error_exit+0x2d/0x61
 [<ffffffff80211387>] ? retint_restore_args+0x5/0x10
 [<ffffffff8030f1e1>] ? copy_user_generic_string+0x31/0x40
 [<ffffffff802930d8>] ? cp_new_stat+0xe2/0xef
 [<ffffffff802934af>] ? sys_newstat+0x31/0x3c
 [<ffffffff80465b9b>] error_exit+0x0/0x61


Code: c7 03 00 00 00 00 48 83 c4 28 5b c9 c3 55 31 f6 48 89 e5 e8 6b ff ff ff c9 c3 55 48 89 e5 53 48 83 ec 28 57 ff 15 bb 79 12 00 5f <8b> 17 85 d2 78 19 48 8d 47 08 48 39 47 08 75 0f 8d 42 01 89 07 
RIP  [<ffffffff804656fe>] __down_read+0x11/0x8a
 RSP <ffff8800121f9b58>
CR2: 0000000000000068
---[ end trace d1de93ff7c475362 ]---
Fixing recursive fault but reboot is needed!
BUG: unable to handle kernel NULL pointer dereference at 0000000000000058
IP: [<ffffffff8022be59>] mm_release+0x57/0x92
PGD 1e18f067 PUD 1e1d2067 PMD 1e18b067 PTE 0
Oops: 0000 [4] 
CPU 0 
Modules linked in: sha256_generic aes_generic cbc dm_crypt crypto_blkcipher dm_emc dm_round_robin dm_multipath dm_snapshot dm_mirror dm_zero dm_mod xfs jfs reiserfs lock_nolock gfs2 msdos linear raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 xen_netfront xen_blkfront ipv6 iscsi_tcp libiscsi scsi_transport_iscsi scsi_mod ext2 ext3 jbd ext4dev jbd2 mbcache crc16 squashfs pcspkr edd loop nfs lockd nfs_acl sunrpc vfat fat cramfs
Pid: 0, comm: swapper Tainted: G      D  2.6.25-2.fc9.x86_64.xen #1
RIP: e030:[<ffffffff8022be59>]  [<ffffffff8022be59>] mm_release+0x57/0x92
RSP: e02b:ffffffff805c97b8  EFLAGS: 00010246
RAX: 000000000040200c RBX: ffff880002aec000 RCX: 0000000000000148
RDX: 0000000000000000 RSI: 00000000deadbeef RDI: 00007f05512db780
RBP: ffffffff805c97d8 R08: ffffffff805c8000 R09: ffffffff8022b3d1
R10: 000000000000000c R11: 0000000000000246 R12: 0000000000000000
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  00007fbd8391e6f0(0000) GS:ffffffff805bf000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000058 CR3: 000000001e1e4000 CR4: 0000000000000660
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000
Process swapper (pid: 0, threadinfo ffffffff805c8000, task ffffffff80582310)
Stack:  ffffffff805c9808 0000000000000000 ffff880002aec000 ffff880002aec000
 ffffffff805c9808 ffffffff8022f65d 0000000000000000 0000000000000000
 ffff880002aec000 000000000000000b ffffffff805c9858 ffffffff80230f94
Call Trace:
 [<ffffffff8022f65d>] exit_mm+0x1f/0xc7
 [<ffffffff80230f94>] do_exit+0x252/0x628
 [<ffffffff804662b6>] oops_begin+0x0/0x55
 [<ffffffff802124c9>] die+0x5d/0x66
 [<ffffffff80466733>] do_trap+0x110/0x11f
 [<ffffffff80212bfc>] do_invalid_op+0xa0/0xa9
 [<ffffffff8020c495>] ? xen_mc_flush+0x14d/0x15c
 [<ffffffff8020c2b2>] ? xprintk+0x87/0x8d
 [<ffffffff80465b9b>] error_exit+0x0/0x61
 [<ffffffff8020c495>] ? xen_mc_flush+0x14d/0x15c
 [<ffffffff8020c479>] ? xen_mc_flush+0x131/0x15c
 [<ffffffff8020c059>] ? xen_write_cr3+0x150/0x16a
 [<ffffffff8020d2e3>] ? xen_exit_mmap+0x32/0x8a
 [<ffffffff8020c0a3>] ? xen_irq_enable+0x19/0x1b
 [<ffffffff8027b6a1>] ? exit_mmap+0x20/0xd8
 [<ffffffff8028ca89>] ? kfree+0x159/0x167
 [<ffffffff802293e1>] ? __might_sleep+0x28/0xd9
 [<ffffffff8022bfae>] ? mmput+0x3c/0x79
 [<ffffffff8022f6fd>] ? exit_mm+0xbf/0xc7
 [<ffffffff80230f94>] ? do_exit+0x252/0x628
 [<ffffffff804662b6>] ? oops_begin+0x0/0x55
 [<ffffffff802124c9>] ? die+0x5d/0x66
 [<ffffffff80466733>] ? do_trap+0x110/0x11f
 [<ffffffff80212bfc>] ? do_invalid_op+0xa0/0xa9
 [<ffffffff80465fc0>] ? xen_failsafe_callback+0x0/0x10
 [<ffffffff8028cc65>] ? kmem_cache_alloc+0x72/0x9a
 [<ffffffff8023d901>] ? alloc_pid+0x313/0x37a
 [<ffffffff80465b9b>] ? error_exit+0x0/0x61
 [<ffffffff80465fc0>] ? xen_failsafe_callback+0x0/0x10
 [<ffffffff80465fc0>] ? xen_failsafe_callback+0x0/0x10
 [<ffffffff8020e07f>] ? xen_clocksource_read+0x68/0xb0
 [<ffffffff8020c3a3>] ? xen_mc_flush+0x5b/0x15c
 [<ffffffff8020c0f6>] ? xen_leave_lazy+0x15/0x17
 [<ffffffff8020f6e2>] ? __switch_to+0x8a/0x329
 [<ffffffff804641c4>] ? thread_return+0x0/0x6b
 [<ffffffff8020c2b8>] ? xen_idle+0x0/0x48
 [<ffffffff80210011>] ? default_idle+0x0/0x75
 [<ffffffff8021000f>] ? cpu_idle+0x84/0x86
 [<ffffffff8045c9ac>] ? rest_init+0x50/0x52


Code: c7 83 e8 02 00 00 00 00 00 00 4c 89 ef e8 0b aa ff ff 48 8b bb f8 02 00 00 48 85 ff 74 3f 8b 43 14 89 c2 81 e2 00 04 00 00 75 32 <41> 83 7c 24 58 01 7e 2a 48 c7 83 f8 02 00 00 00 00 00 00 48 89 
RIP  [<ffffffff8022be59>] mm_release+0x57/0x92
 RSP <ffffffff805c97b8>
CR2: 0000000000000058
---[ end trace d1de93ff7c475362 ]---
Kernel panic - not syncing: Attempted to kill the idle task!
Comment 1 John Levon 2008-09-18 11:50:25 EDT
Dan Berrange suggested that 512Mb was no longer enough to install Fedora,
and indeed, bumping up RAM to 1024Mb and the install works.

Since this seems like a very odd way to run out of RAM, though, I'm leaving this open for now - it's possible I'm just uncovering another bug?
Comment 2 Bug Zapper 2009-06-09 22:44:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:56:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.